Index: app_confbridge.c
===================================================================
--- app_confbridge.c    (revision 391213)
+++ app_confbridge.c    (working copy)
@@ -2094,6 +2094,17 @@
        struct conference_bridge_user *participant = NULL;

        ao2_lock(bridge);
+
+       // Kill all users in confernce
+       if (!strcasecmp(channel, "all")) {
+               AST_LIST_TRAVERSE(&bridge->active_list, participant, list) {
+                       participant->kicked = 1;
+                       ast_bridge_remove(bridge->bridge, participant->chan);
+               }
+               ao2_unlock(bridge);
+               return 0;
+        }
+
        AST_LIST_TRAVERSE(&bridge->active_list, participant, list) {
                if (!strcasecmp(ast_channel_name(participant->chan), channel)) {
                        participant->kicked = 1;
@@ -2182,8 +2193,8 @@
        case CLI_INIT:
                e->command = "confbridge kick";
                e->usage =
-                       "Usage: confbridge kick <conference> <channel>\n"
-                       "       Kicks a channel out of the conference bridge.\n";
+                       "Usage: confbridge kick <conference> <channel> | all \n"
+                       "       Kicks a channel out of the conference bridge (all to kick everyone).\n";
                return NULL;
        case CLI_GENERATE:
                if (a->pos == 2) {